Code

Merge remote-tracking branch 'github/pr/387'
[collectd.git] / build.sh
index 3822c2bc1b217a9a1c93e730bfbadd0561f7a20f..20854b13b7d88cf6aa90f5ce990fd07370fff56c 100755 (executable)
--- a/build.sh
+++ b/build.sh
@@ -6,7 +6,8 @@ check_for_application ()
 {
        for PROG in "$@"
        do
-               if ! which "$PROG" >/dev/null 2>&1; then
+               which "$PROG" >/dev/null 2>&1
+               if test $? -ne 0; then
                        cat >&2 <<EOF
 WARNING: \`$PROG' not found!
     Please make sure that \`$PROG' is installed and is in one of the
@@ -25,20 +26,24 @@ check_for_application lex yacc autoheader aclocal automake autoconf
 check_for_application pkg-config
 
 libtoolize=""
-if which libtoolize >/dev/null 2>&1
+libtoolize --version >/dev/null 2>/dev/null
+if test $? -eq 0
 then
        libtoolize=libtoolize
-else if which glibtoolize >/dev/null 2>&1
-then
-       libtoolize=glibtoolize
 else
-       cat >&2 <<EOF
+       glibtoolize --version >/dev/null 2>/dev/null
+       if test $? -eq 0
+       then
+               libtoolize=glibtoolize
+       else
+               cat >&2 <<EOF
 WARNING: Neither \`libtoolize' nor \`glibtoolize' have been found!
     Please make sure that one of them is installed and is in one of the
     directories listed in the PATH environment variable.
 EOF
-       GLOBAL_ERROR_INDICATOR=1
-fi; fi
+               GLOBAL_ERROR_INDICATOR=1
+       fi
+ fi
 
 if test "$GLOBAL_ERROR_INDICATOR" != "0"
 then